userptr(3MENU)

NAME
set_menu_userptr, menu_userptr - associate application data with a menu item

SYNOPSIS
#include <menu.h>

int set_menu_userptr(MENU *menu, void *userptr);
void *menu_userptr(const MENU *menu);

DESCRIPTION
Every menu and every menu item has a field that can be used to hold application-specific data (that is, the menu-driver code leaves it alone). These functions get and set the menu user pointer field.

RETURN VALUE
menu_userptr returns a pointer (which may be NULL). It does not set errno.

set_menu_userptr returns E_OK (success).

PORTABILITY
These routines emulate the System V menu library. They were not supported on Version 7 or BSD versions.

The user pointer is a void pointer. We chose not to leave it as a char pointer for SVr4 compatibility.

AUTHORS
Juergen Pfeifer. Manual pages and adaptation for new curses by Eric S. Raymond.

SEE ALSO
ncurses(3NCURSES), menu(3MENU)